Skip to main content
GET
/
api
/
user
Lists all users for the current tenant.
curl --request GET \
  --url https://{tenant}.ekso.app/api/user \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "name": "<string>",
    "initials": "<string>",
    "email": "<string>",
    "locale": "<string>",
    "timezone": "<string>",
    "darkMode": "<string>",
    "costCenter": "<string>",
    "jobRole": "<string>",
    "workingHours": "<string>",
    "notifications": true,
    "superAdmin": true,
    "active": true,
    "locked": "2023-11-07T05:31:56Z",
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

List of users.

entity
null | string
name
string
initials
string
email
string
locale
string
timezone
string
darkMode
string
costCenter
string
jobRole
string
workingHours
string
notifications
boolean
superAdmin
boolean
active
boolean
locked
null | string<date-time>
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean